find_package( OpenCV REQUIRED )

add_library(Utils utils.cpp)
set_target_properties(Utils PROPERTIES VERSION ${PROJECT_VERSION})

target_include_directories(Utils PRIVATE ${OpenCV_INCLUDE_DIRS})
target_include_directories(Utils PUBLIC .)
target_link_libraries( Utils ${OpenCV_LIBS} )

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
set (UTILS_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
include(CPack)